unit Cmd1Clr;
//*******************************************************
// A command object class that sets a form's color.
//*******************************************************
// Copyright (C) 1998 John Wiley & Sons, Inc.
// All rights reserved. See additional copyright
// information in Readme.txt.
//*******************************************************

interface

uses Forms, Cmd1CmdC, Graphics;

type
    TColorCmd = class(TCommand)
        public
            Color : TColor;
            procedure Execute(frm : TForm); override;
    end;

implementation

// Turn the form blue.
procedure TColorCmd.Execute(frm : TForm);
begin
    frm.Color := Color;
end;

end.
